html {
    margin: 0;
    padding: 0;
}

body {
    margin: 0;
    padding: 0;
    background-color: #0D3834;
    color: #fdfbfade;
    font-family: "Roboto", sans-serif;
    display: grid;
}

/* div#content {
    grid-area: 1 / 1 / 2 / 2;
} */

/* div#lines {
    background-color: #0D3834;
    opacity: 0.02;
    background: repeating-linear-gradient(-45deg, #0D3834 0px, #0D3834 3.5px, transparent 3.5px, transparent 5.6000000000000005px), repeating-linear-gradient(45deg, #0D3834 0px, #0D3834 3.5px, transparent 3.5px, transparent 5.6000000000000005px), linear-gradient(#fdfbfa,#fdfbfa);
    grid-area: 1 / 1 / 2 / 2;
    z-index: -1;
} */

div#nav-bar {
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding: 0.5rem;
    padding-bottom: 0.3rem;
    /* border-bottom: 0.1rem solid rgba(253, 251, 250, 0.7); */
    position: fixed;
    top: 0;
    z-index: 1;
    width: calc(100% - 1rem);
    background-color: #0D3834;;
}

/* div#top {
    height: 4.1568rem;
} */

img#logo {
    max-width: 13rem;
    object-fit: contain;
}

button#nav-button {
    background-color: transparent;
    border: 0.1rem solid rgba(253, 251, 250, 0.7);
    border-radius: 5px;
    height: 2.4rem;
    width: 2rem;
    margin-right: 0.2rem;
}

svg#nav-graphic {
    width: 1.1rem;
    height: 1.1rem;
    color: #FDFBFA;
}

div#menu {
    display: flex;
    flex-direction: column;
    align-items: center;
    /* margin-top: 1rem; */
    margin-bottom: 0.5rem;
    width: 100%;
    position: fixed;
    top: 4rem;
    background-color: #0D3834;
    z-index: 1;
    padding-bottom: 1rem;
    border-bottom: 0.1rem solid #f7f4f1;
}

div#nav-bar {
    border-bottom: 0.1rem solid rgb(247, 244, 241, 0.1);
}

button.link {
    color: #fdfbfade;
    text-decoration: none;
    font-size: 1rem;
    margin: 0.4rem;
    padding-bottom: 0.2rem;
    padding: 0.5rem 1.5rem;
    border-radius: 8px;
    /* border-bottom: 0.1rem solid #b88769; */
    background-color: transparent;
    border: none;
    font-family: "Roboto", sans-serif;
}

a.button-anchor{
    background-color: #9bdde8;
    color: #032224;
    padding: 0.5rem 1rem;
    border-radius: 9999px;
    font-weight: 500;
    font-size: 1rem;
    text-decoration: none;
}

img#hero-image {
    width: 100%;
    /* height: calc(100vh - 4.06rem); */
    height: 100vh;
    object-fit: cover;
    grid-area: 1 / 1 / 2 / 2;
}

hr#top-line {
    color: rgba(253, 251, 250, 0.7);
    margin: 0;
    opacity: 0.5;
    
}

div#hero {
    display: grid;
    margin-bottom: 5rem;
}

div#hero-info-cover {
    grid-area: 1 / 1 / 2 / 2;
    display: flex;
    justify-content: center;
    align-items: center;
}

div#hero-info {
    transform: translateY(-2rem);
    display: flex;
    flex-direction: column;
    align-items: center;
}

.heading {
    font-family: "Montserrat", sans-serif;
}

.center-align {
    text-align: center;
    margin: 0;
}

h2#hero-heading {
    font-size: 1.6rem;
    max-width: 14rem;
    margin: 0;
    margin-bottom: 1rem;
}

p#hero-paragraph {
    font-size: 1rem;
    max-width: 16rem;
    margin: 0;
    margin-bottom: 1.9rem;
}

h2.content-heading {
    margin-bottom: 1.2rem;
    font-family: "Montserrat", sans-serif;
    text-decoration: underline;
    text-underline-offset: 0.5rem;
}

p.content-paragraph {
    margin-top: 0;
    margin-bottom: 1rem;
}

div.content-section {
    padding: 0rem 1.5rem;
    margin-bottom: 5rem;
}

/* div#about-text {
    padding: 0% 9%;
} */

div.content-wall {
    padding: 0% 9%;
}

div#about-image-cover {
    display: flex;
    /* justify-content: center; */
}

img#about-image {
    width: 52%;
    border-radius: 6px;
    margin-top: 1rem;
    margin-left: 9%;
}

h2#services-heading {
    text-align: center;
}

div#services-description-cover {
    display: flex;
    justify-content: center;
}

div#services-card-cover {
    margin-top: 2.4rem;
    display: flex;
    flex-direction: column;
    gap: 2.4rem;
}

div.services-card {
    display: flex;
    flex-direction: column;
    gap: 0.92rem;
    align-items: center;
}

svg.services-graphic {
    color: #9bdde8;
    width: 2.2rem;
    height: 2.2rem;
}

p#services-description {
    max-width: 28rem;
}

div#contact {
    margin-bottom: 2.3rem;
}

h2#contact-heading {
    text-align: center;
}

div#form {
    display: flex;
    justify-content: center;
    margin-bottom: 2.4rem;
}

div#form-items {
    background-color: #fefefe;
    margin-top: 2rem;
    padding: 2.0rem 1.6rem;
    display: flex;
    flex-direction: column;
    height: fit-content;
    border-radius: 16px;
}

div.detail {
    width: 15rem;
}

p.detail-title {
    /* font-size: 0.75rem; */
    margin-bottom: 0.4rem;
    color: #032224;
    margin-top: 0.6rem;
}

.detail-input {
    width: stretch;
    margin-bottom: 0.5rem;
    border: 1px solid #032224;
    border-radius: 4px;
    /* font-size: 0.75rem; */
    padding: 0.2rem;
    color: #032224;
    padding: 0.4rem 0.4rem;
}

.detail-input::placeholder {
    font-family: "Roboto", sans-serif;
    font-size: 1rem;
}

input:focus, textarea:focus, input:not(:focus), textarea:not(:focus) {
    font-family: "Roboto", sans-serif;
    font-size: 1rem;
    padding: 0.4rem 0.4rem;
    color: #032224;
}

textarea {
    resize: vertical;
}

p.error-message {
    font-size: 1rem;
    color: red;
    margin-bottom: 0.4rem;
    margin-top: 0rem;
}

button#book-button {
    border: none;
    font-family: "Roboto", sans-serif;
    background-color: #032224;
    color: #fefefe;
    border-radius: 9999px;
    padding: 0.5rem 0rem;
    margin-top: 1rem;
    font-size: 1rem;
}

div#loader-container {
    display: flex;
    justify-content: center;
}

div#loader {
    width: 1.1rem;
    height: 1.1rem;
    border-top: 0.18rem solid #fefefe;
    margin: 0.2rem 0.2rem;
    border-radius: 50%;
    animation: spin 0.36s linear infinite;
}

@keyframes spin {
    from { transform: rotate(0deg); }
    to { transform: rotate(360deg); }
}

div#socials-cover-holder {
    display: flex;
    justify-content: center;
}

div#socials-cover {
    display: flex;
    gap: 4rem;
}

svg.graphic {
    color: #fdfbfade;
    width: 1.3rem;
    height: 1.3rem;
}

p#email {
    text-align: center;
    margin-top: 2.7rem;
    font-size: 1rem;
}

p#phone {
    text-align: center;
    margin-top: 1.3rem;
    font-size: 1rem;
}

p#copyright {
    text-align: center;
    font-size: 0.8rem;
    margin-top: 1.43rem;
}

/* Desktop */
@media (min-width: 769px) {
    
    div.content-wall {
        padding: 0;
    }

    div#about {
        display: flex; 
        gap: 2.8rem;
        justify-content: space-between;
        padding: 0% 9%;
    }

    div#about-text {
        width: 59%
    }

    div#about-image-cover {
        justify-content: flex-end;
    }
    
    img#about-image { 
        width: 66%;
        object-fit: contain;
        align-self: end;
        border-radius: 5px;
    }

    .about-content {
        text-align: left;
    }

    div#services {
        padding: 0% 9%;
    }

    div#services-card-cover {
        display: grid;
        grid-template-columns: repeat(2, 1fr);
        gap: 2.4rem;
    }
}

/* Large Screen */
@media (min-width: 1201px) {
    div#menu {
        flex-direction: row;
        margin-right: 0.95rem;
        border-bottom: none;
        z-index: 1;
        margin-bottom: 0.4rem;
        top: 0.5rem;
        right: 0rem;
        width: auto;
        padding-bottom: 0rem;
    }

    /* div#nav-bar {
        border-bottom: 0.1rem solid #f7f4f1;
    } */

    div#top {
        display: flex;
        justify-content: space-between;
    }

    h2#hero-heading {
        max-width: 26rem;
    }

    p#hero-paragraph {
        max-width: 32rem;
    }

    div#about-text {
        width: 49%
    }
    
    img#about-image { 
        width: 40%;
    }
    
    div#services-card-cover {
        display: grid;
        grid-template-columns: repeat(3, 1fr);
        gap: 2.4rem;
    }

}
